Subject: LRO: Marvel mystery oil

From: "Mike Rogers" <[email-masked]>
Date: Thu, 24 May 2001 22:00:34 +0100

Do any of you guys or gals know of a product called Marvel mystery oil? I
bought a US gallon today for two quid as a cheap substitute for Red X
(should have been 3.50 but the tin is badly dented) the label makes a lot of
claims for the benefits from adding it to both sump oil and fuel.

Mike Rogers
Lightweight/Range Rover hybrid
LPG V8 110 project (thanks to Marijn)
(if you can't get there in a Land Rover you can't get there)